Bug 54280 - string_to_number buglets
Summary: string_to_number buglets
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
: 55123 55124 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 22:58 UTC by Geoffrey T. Dairiki
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-07 14:16:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patches for bug #54280 (3.11 KB, patch)
2001-10-02 23:00 UTC, Geoffrey T. Dairiki
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:144 normal SHIPPED_LIVE : Updated iptables packages are available 2001-10-30 05:00:00 UTC

Description Geoffrey T. Dairiki 2001-10-02 22:58:31 UTC
Description of Problem:

Certain (mostly) numeric command line arguments are not correctly handled.

Version-Release number of selected component (if applicable):

iptables-1.2.3-1

How Reproducible:

Always.

Steps to Reproduce:

String values for the --log-level argument, for exaple
won't work.

 iptables -A INPUT -s 10.0.0.0/8 -j LOG --log-level info

Actual Results:

 "log-level `info' ambiguous"

Expected Results:

 A new iptables rule.

Additional Information:
	
 Patch attached.

Comment 1 Geoffrey T. Dairiki 2001-10-02 23:00:22 UTC
Created attachment 33278 [details]
Patches for bug #54280

Comment 2 Geoffrey T. Dairiki 2001-10-02 23:01:47 UTC
BTW, these fixes have already made their way into the CVS version of the
iptables code.

Comment 3 Bernhard Rosenkraenzer 2001-10-30 11:52:01 UTC
Fixed in 1.2.4-1


Comment 4 Bernhard Rosenkraenzer 2001-10-30 11:52:29 UTC
*** Bug 55123 has been marked as a duplicate of this bug. ***

Comment 5 Bernhard Rosenkraenzer 2001-10-30 11:53:08 UTC
*** Bug 55124 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.